Subject: bug#18353: 24.4.50; unicode chars in mode-line on tty

From: Tom Tromey <[email-masked]>
Date: Fri, 29 Aug 2014 09:58:37 -0600

Eli> Pressing F10 should drop down the File menu.  Then you can navigate
Eli> them with arrow keys or C-f/C-b/C-n/C-p.  To select, press RET, to
Eli> exit without selecting, press C-g.

Thanks.  Terminal menus seem to work fine.

Eli> Does the problem happen for you in a different terminal emulator, say,
Eli> xterm?

Tom> It is worse in xterm.  There, the "unusual" character is not
Tom> displayed at all.

Eli> Not even as a literal "\u26C3" string?  That would be strange,
Eli> indeed.  What do you get in the *scratch* buffer if you type
Eli> "C-x 8 RET 26C3 RET"?  Also, what is your terminal-coding-system?

When I type that I just see a space, in xterm.  Maybe there's a font
problem.  I see the right thing when I use the XFCE terminal.

terminal-coding-system returns utf-8-unix.

Tom